Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.CertificateSecurityCallback Class Reference
Inheritance diagram for com.foxit.sdk.pdf.CertificateSecurityCallback:

## Public Member Functions
byte [] | getDecryptionKey (byte[] envelope_buffer)
| A callback function used to get the key for decrypting certificate protected PDF document. More...
int | getSecurityType ()
| Get the encryption type of current security callback. More...
Public Member Functions inherited from com.foxit.sdk.pdf.SecurityCallback
int | getSecurityType ()
| Get the encryption type of security callback. More...
void | release ()
| A callback function used to release current callback object itself. More...

## Detailed Description

This class represents a callback object for certificate decryption. If user wants to use their own certificate security callback, user should inherit this callback class and implement the pure virtual functions (as callback functions), and then register their own certificate security callback object to Foxit PDF SDK by function common.Library.registerSecurityCallback with filter "Adobe.PubSec". Function common.Library.unregisterSecurityCallback can be called to unregister the security callback object with the registered filter name.

## Member Function Documentation

## ◆ getDecryptionKey()

byte[] com.foxit.sdk.pdf.CertificateSecurityCallback.getDecryptionKey | ( | byte [] | envelope_buffer | ) |

A callback function used to get the key for decrypting certificate protected PDF document.

Parameters

  [in] | envelope_buffer | A buffer which represents a certificate envelope.

Note
  User should implement this callback function.

Returns
  The decryption key.

## ◆ getSecurityType()

int com.foxit.sdk.pdf.CertificateSecurityCallback.getSecurityType | ( |  | ) |

Get the encryption type of current security callback.

Note
  User should not override this function, otherwise there will be unexpected behavior.

Returns
  The encryption type. It would always be com.foxit.sdk.pdf.PDFDoc.e_EncryptCertificate .